<html>
<head>
<title>Generic block game help</title>
<link rel="stylesheet" href="gbg.css">
</head>
<body>
<div class="header"><img src="gfx/gbgtitle.png" alt="Generic block game"></div>
<table class="nav">
	<tr>
		<th><a href="general.html">General information</a></th>
		<td><a href="variationhelps.html">Included variations</a></td>
		<td><a href="variations.html">.var file reference</a></td>
	</tr>
</table>

<h2>General information</h2>
<p>Generic Block Game is made in FreeBasic. It is similar to Tetris or Columns, but the rules are flexible.</p>
<p>It is licensed under <a href='../COPYING'>GPL 3</a> or later.</p>
<p>Following things can be changed by editing sets of rules, called <a href="variations.html">variations</a>.</p>
<ul>
<li>Playfield size</li>
<li>Blocks number and shapes</li>
<li>Game goals</li>
<li>Game mechanics (gravity/no gravity)</li>
<li>Graphics</li>
</ul>

<h2>Game controls</h2>
<h3>Block manipulation</h3>
<table>
	<tr>
		<th>key</th>
		<th>action</th>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyleft.png" alt="left arrow" title="left arrow">
			<img src="gfx/keyright.png" alt="right arrow" title="right arrow">
			<img src="gfx/keydown.png" alt="down arrow" title="down arrow">
		</td>
		<td>move block</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyup.png" alt="up arrow" title="up arrow">
		</td>
		<td>move block or rotate, depending on variation</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyenter.png" alt="enter" title="enter">
		</td>
		<td>fix or drop the block, depending on variation</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyspace.png" alt="space" title="space">
		</td>
		<td>rotate</td>
	</tr>
	<tr>
		<td>
		</td>
		<td>
		</td>
	</tr>
</table>

<h3>Interface</h3>

<table>
	<tr>
		<th>key</th>
		<th>action</th>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyesc.png" alt="Esc key" title="Esc key">
		</td>
		<td>exits game, exits menu</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyf1.png" alt="F1 key" title="F1 key">
		</td>
		<td>open help window</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyf2.png" alt="F2 key" title="F2 key">
		</td>
		<td>restart game</td>
	</tr>
	<tr>
		<td>left mouse button</td>
		<td>drag to move window, select in menu</td>
	</tr>
	<tr>
		<td>right mouse button</td>
		<td>open/close menu</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keys.png" alt="s key" title="s key">
		</td>
		<td>display score</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyt.png" alt="t key" title="t key">
		</td>
		<td>change tiles look (if available)</td>
	</tr>
	<tr>
		<td>
			<img src="gfx/keyplus.png" alt="+ key" title="+ key">
		</td>
		<td>increase speed (if available)</td>
	</tr>
</table>

</body>
</html>
